﻿using ComputersShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputersShopContracts.BindingModels
{
	public class ShopBindingModel : IShopModel
	{
		public int Id { get; set; }
		public string ShopName { get; set; } = string.Empty;
		public string ShopAddress { get; set; } = string.Empty;
		public DateTime DateOpening { get; set; } = DateTime.Now;
		public Dictionary<int, (IComputerModel, int)> Computers { get; set; } = new();
        public int Capacity { get; set; }
    }
}
