﻿using ComputersShopContracts.BindingModels;
using ComputersShopContracts.SearchModels;
using ComputersShopContracts.ViewModels;
using ComputersShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputersShopContracts.BusinessLogicContracts
{
	public interface IShopLogic
	{
		List<ShopViewModel>? ReadList(ShopSearchModel? model);
		ShopViewModel? ReadElement(ShopSearchModel model);
		bool Create(ShopBindingModel model);
		bool Update(ShopBindingModel model);
		bool Delete(ShopBindingModel model);
		bool AddComputer(ShopSearchModel model, IComputerModel computer, int quantity);
		bool AddComputers(IComputerModel computer, int quantity);
        bool SellComputers(IComputerModel computer, int quantity);
    }
}
