﻿using ComputersShopContracts.BindingModels;
using ComputersShopContracts.SearchModels;
using ComputersShopContracts.ViewModels;
using ComputersShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputersShopContracts.StoragesContracts
{
	public interface IShopStorage
	{
		List<ShopViewModel> GetFullList();
		List<ShopViewModel> GetFilteredList(ShopSearchModel model);
		ShopViewModel? GetElement(ShopSearchModel model);
		ShopViewModel? Insert(ShopBindingModel model);
		ShopViewModel? Update(ShopBindingModel model);
		ShopViewModel? Delete(ShopBindingModel model);
        bool SellComputers(IComputerModel model, int quantity);
    }
}
