﻿using ComputersShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputersShopContracts.ViewModels
{
	public class ShopViewModel : IShopModel
	{
		public Dictionary<int, (IComputerModel, int)> Computers { get; set; } = new();
		public int Id { get; set; }

		[DisplayName("Название магазина")]
		public string ShopName { get; set; } = string.Empty;
		[DisplayName("Адрес магазина")]
		public string ShopAddress { get; set; } = string.Empty;
		[DisplayName("Дата открытия")]
		public DateTime DateOpening { get; set; } = DateTime.Now;
        [DisplayName("Вместимость магазина")]
        public int Capacity { get; set; }
    }
}
