﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputersShopDataModels.Models
{
	public interface IShopModel : IId
	{
		public string ShopName { get; }
		public string ShopAddress { get; }
		DateTime DateOpening { get; }
        public int Capacity { get; }
        Dictionary<int, (IComputerModel, int)> Computers { get; }
	}
}
